org.apache.ignite.internal.processors.cache.persistence.freelist

## Interface FreeList

All Known Implementing Classes:
  FreeListImpl

    public interface FreeList

### Method Summary

Methods
`void` `dumpStatistics(IgniteLogger log)`
`void` `insertDataRow(CacheDataRow row)`
`void` `removeDataRowByLink(long link)`
`boolean` `updateDataRow(long link, CacheDataRow row)`

### Method Detail

#### insertDataRow

    void insertDataRow(CacheDataRow row)
                       throws IgniteCheckedException

Parameters:
  `row` - Row.
Throws:
  `IgniteCheckedException` - If failed.

#### updateDataRow

    boolean updateDataRow(long link,
                        CacheDataRow row)
                          throws IgniteCheckedException

Parameters:
  `link` - Row link.
  `row` - New row data.
Returns:
  `True` if was able to update row.
Throws:
  `IgniteCheckedException` - If failed.

#### removeDataRowByLink

    void removeDataRowByLink(long link)
                             throws IgniteCheckedException

Parameters:
  `link` - Row link.
Throws:
  `IgniteCheckedException` - If failed.

#### dumpStatistics

    void dumpStatistics(IgniteLogger log)

Parameters:
  `log` - Logger.

2017 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 2.2.0
Release Date | : September 15 2017